mbed_host_tests.host_tests.rtc_auto.RTCTest Class Reference
Inheritance diagram for mbed_host_tests.host_tests.rtc_auto.RTCTest:

## Public Member Functions

| setup (self)
| result (self)
| teardown (self)

## Static Public Attributes

str | PATTERN_RTC_VALUE = r"\[(\d+)\] \[(\d+-\d+-\d+ \d+:\d+:\d+ [AaPpMm]{2})\]"
| re_detect_rtc_value = re.compile(PATTERN_RTC_VALUE)
| timestamp = None
list | rtc_reads = []

## Protected Member Functions

| _callback_timestamp (self, key, value, timestamp)
| _callback_rtc (self, key, value, timestamp)
| _callback_end (self, key, value, timestamp)

## Protected Attributes

| _callback_timestamp
| _callback_rtc
| _callback_end

## Detailed Description

Definition at line 22 of file rtc_auto.py.

## Member Function Documentation

## _callback_end()

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_end | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 36 of file rtc_auto.py.

## _callback_rtc()

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_rtc | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 33 of file rtc_auto.py.

## _callback_timestamp()

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_timestamp | ( |  | self,
|  |  | key,
|  |  | value,
|  |  | timestamp
| ) |  |

protected

Definition at line 30 of file rtc_auto.py.

## result()

mbed_host_tests.host_tests.rtc_auto.RTCTest.result | ( |  | self | ) |

Definition at line 44 of file rtc_auto.py.

## setup()

mbed_host_tests.host_tests.rtc_auto.RTCTest.setup | ( |  | self | ) |

Definition at line 39 of file rtc_auto.py.

## teardown()

mbed_host_tests.host_tests.rtc_auto.RTCTest.teardown | ( |  | self | ) |

Definition at line 57 of file rtc_auto.py.

## Member Data Documentation

## _callback_end

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_end

protected

Definition at line 42 of file rtc_auto.py.

## _callback_rtc

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_rtc

protected

Definition at line 41 of file rtc_auto.py.

## _callback_timestamp

mbed_host_tests.host_tests.rtc_auto.RTCTest._callback_timestamp

protected

Definition at line 40 of file rtc_auto.py.

## PATTERN_RTC_VALUE

str mbed_host_tests.host_tests.rtc_auto.RTCTest.PATTERN_RTC_VALUE = r"\[(\d+)\] \[(\d+-\d+-\d+ \d+:\d+:\d+ [AaPpMm]{2})\]"

static

Definition at line 23 of file rtc_auto.py.

## re_detect_rtc_value

mbed_host_tests.host_tests.rtc_auto.RTCTest.re_detect_rtc_value = re.compile(PATTERN_RTC_VALUE)

static

Definition at line 24 of file rtc_auto.py.

## rtc_reads

list mbed_host_tests.host_tests.rtc_auto.RTCTest.rtc_reads = []

static

Definition at line 28 of file rtc_auto.py.

## timestamp

mbed_host_tests.host_tests.rtc_auto.RTCTest.timestamp = None

static

Definition at line 27 of file rtc_auto.py.

The documentation for this class was generated from the following file:

- mbed_host_tests/host_tests/rtc_auto.py